# oss

## minio
1. 安装，参见`https://docs.min.io/docs/minio-quickstart-guide.html`；
    + docker安装
        ```
        docker run -p 9000:9000 minio/minio server <your_storage_of_file_directory>
        ```
2. 启动
   ```
   minio.exe server <your_storage_of_file_directory>
   ```
3. 默认访问，`http://127.0.0.1:9000/`；
4. 存储桶`bucket`命名有一定规则
    + 小写字母或数字开头；
    + 长度介于 3 和 63 个字符之间，并且只能包含小写字母、数字、句点和短划线；
    + 不能是IP地址；
    + 其它参见相关文档；
    
## mc客户端
1. 安装，参见`https://docs.min.io/docs/minio-client-quickstart-guide.html`；
2. 访问`minio server`，必须先添加一个服务别名
   + 命令
      ```
      mc alias set <ALIAS> <YOUR-S3-ENDPOINT> <YOUR-ACCESS-KEY> <YOUR-SECRET-KEY> --api <API-SIGNATURE> --path <BUCKET-LOOKUP-TYPE>
      ```
   + 示例，添加foo作为`http://127.0.0.1:9000`的别名。
      ```
      mc alias set foo http://127.0.0.1:9000 BKIKJAA5BMMU2RHO6IBB V7f1CwQqAcwo80UEIJEjc5gVQUSSx5ohQ9GSrr12
      ```
   + Minio允许常规字符串作为Access和Secret密钥。  
      ```
      mc alias set foo http://127.0.0.1:9000 minioadmin minioadmin
      ```
3. 使用mc
    + 列出存储桶`bucket`或其中`bar`文件夹的文件
        ```
        mc ls foo
        mc ls foo/bar
        ```