package com.emato.eoss.config;

import com.emato.eoss.web.OssFilter;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author Scott Chen
 * @date 2021-03-29
 */
@Configuration
public class WebConfigration {
    private static final Logger logger = LoggerFactory.getLogger(WebConfigration.class);

    @Bean
    public OssFilter ossFilter(){
        return new OssFilter();
    }

    @Bean
    public FilterRegistrationBean urlFilterRegister() {
        FilterRegistrationBean filterBean = new FilterRegistrationBean();
        filterBean.setFilter(ossFilter());
        filterBean.addUrlPatterns("/*");

        logger.debug("--- 创建OssFilter Bean");
        return filterBean;
    }

}
