package com.emato.eoss.manager.oss.minio.config;

import com.emato.eoss.manager.oss.minio.utils.MinioUtils;
import io.minio.MinioClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author Scott Chen
 * @date 2021-03-04
 */
@Configuration
public class MinioConfig {

    @Autowired
    private MinioProp minioProp;

    @Bean
    @ConfigurationProperties("minio")
    public MinioProp minioProperties(){
        return new MinioProp();
    };

    /**
     * MinioClient
     *
     * @return
     */
    @Bean
    public MinioClient minioClient() {
        return new MinioClient.Builder().endpoint(minioProp.getEndpoint()).credentials(minioProp.getAccesskeyId(), minioProp.getSecretAccessKey()).build();
    }

    /**
     * MiniUtils工具类
     * @return
     */
    @Bean
    public MinioUtils minioUtils() {
        return MinioUtils.create(minioProp);
    }

}
