package com.emato.eoss.msg;

import com.emato.eoss.msg.resp.ResponseStatus;
import com.emato.eoss.msg.resp.Result;
import com.emato.eoss.msg.service.Message;
import org.apache.commons.lang3.StringUtils;

/**
 * 把message装换成result 返回给前端
 * 
 * @author lqg
 *
 */
public class MessageToResultAdapt {

	public static Result toResult(Message message) {
		return toResult(message, null);
	}

	public static Result toResult(Message message, String msg) {
		if (message == null) {
			Result.error("系统异常");
		}

		msg = StringUtils.isBlank(msg) ? (message.isSuccess() ? ResponseStatus.SUCCESS.msg
				: ResponseStatus.FAILURE.msg) : msg;

		return message.isSuccess() ? Result.success(msg, message.getExtend(), Object.class)
				: Result.failed(message.getCode(), msg);
	}

}
